# containers

This repository contains GitLab CI build instructions for various container images used for this project.

## Container images

These images are built weekly.

### fedora:latest

Contains the latest stable release of Fedora (pulled from registry.fedoraproject.org/fedora:latest) and includes recent package updates. The following packages and package groups are included:
- '@c-development'
- '@container-management'
- '@development-tools'
- container-selinux
- ostree
- rpm-ostree
- rsync

This image is used by the Podman executor GitLab runner to compose a Vauxite ostree image.

#### Usage

``` shell
podman pull git.hyperreal.coffee:5050/fedora-atomic/containers/fedora:latest
```

### fedora-distrobox:39

Contains the latest stable release of Fedora toolbox (pulled from registry.fedoraproject.org/fedora-toolbox). It includes recent package updates and various other packages and repositories for my personal use-cases. I use this image to create a distrobox (pet container) on Fedora Xfce Atomic / Vauxite.

#### Usage

``` shell
distrobox create -i git.hyperreal.coffee:5050/fedora-atomic/containers/fedora-distrobox:39 -p -n default --additional-flags "--env SHELL=/usr/local/bin/nu"
```
